Subject: Re: [PATCH][V2] MACB: Set PHY address in kernel parameters

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 31 Mar 2010 11:17:57 +0200

Anders Darander wrote:
> From: Anders Darander <[email-masked]>
> 
> Add the possibility to set the phy address. This is needed if an integrated
> switch is connected to the MAC, as it is often the case that the highest port
> is the one connected to the MAC of the MCU.
> 
> E.g. in the case of the Micrel KSZ8873, port 3 is the one to connect to the
> MCU, thus, the MAC needs to connect to phy address 0x03, instead of the first
> phy found.

We're using phy_mask in one of our projects, it's still using 2.6.29,
though. I think it's worth testing if it's still working.

static struct at91_eth_data __initdata p298_macb_data = {
       .is_rmii        = 0,
       .phy_mask       = ~(1 << 8),
};

at91_add_device_eth(&p298_macb_data);

cheers, Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |